Paquets MS Windows

Les paquets MS Windows compilés par les développeurs sont disponibles sur la la page de téléchargement. Les paquets 32 et 64 bits sont proposés. La plupart des nouveaux utilisateurs choisiront le paquet 64 bits. Le paquet 32 bits peut toutefois avoir une certaine utilité.

Note

La compilation des paquets exécutables sous MS Windows a changé de manière significative depuis la 2.23. Si vous faites une mise à jour d'une version antérieure à la 2.23 vers la version 2.23, nous vous invitons à lire la description des changements.

Si vous avez déjà installé Gwyddion l'installeur vous demandera si vous souhaitez remplacer la version prédédente.

Capture d'écran de mise à jour d'installation sous MS Windows

La question concerne ce que vous souhaitez faire de la version précédente de Gwyddion.

Vous avez trois options :

Oui (remplacer)
La version déjà installée sera remplacée. Il s'agit de la méthode normale de mise à jour.
Non (conserver)
La version déjà installée sera ignorée et l'installation continuera comme s'il s'agissait d'une première installation. Il s'agit en général d'une mauvaise idée car les deux versions partageront les mêmes réglages et clés de registre, et si vous en désinstallez une l'autre en sera affectée. Vous pouvez cependant considérer cette option utile dans certains cas.
Annuler
L'installation sera annulée et l'ancienne version ne sera pas modifiée.

Dans les étapes suivantes l'installeur vous rappelle les composants du logiciel inclus dans le paquet ainsi que leurs licences (qui sont tous des logiciels libres), puis vous propose un répertoire d'installation, et enfin vous propose la langue de l'interface utilisateur.

Désinstallation

Si vous souhaitez désinstaller Gwyddion, allez dans le menu DémarrerPanneau de configurationAjout/Suppression de programmes et choisissez Gwyddion. Notez que cette procédure est valable sous Windows XP. Le chemin vers la fenêtre Ajout/Suprression peut être légèrement différent sur d'autres versions de Windows.

Clés de registre

L'installeur crée les clés suivantes dans HKEY_LOCAL_MACHINE\Software\Gwyddion\2.0 :

InstallDir
Répertoire d'installation, par exemple C:\Program Files\Gwyddion. La lecture de cette clé peut être utile pour déterminer où installer des extensions.
Version
Version complète de Gwyddion sous forme de chaîne de caractères.
Locale
La langue de l'interface utilisateur de Gwyddion est choisie durant l'installation (plus précisément, une localisation qui, entre autre, définit la langue). Vous pouvez la modifier en utilisant regedit pour choisir une autre langue.

Voici la liste des langues disponibles et les valeurs des localisations correspondantes :

gwy_localeLangue
cs_CZ.UTF-8Tchèque (République Tchèque)
de_DE.UTF-8Allemand (Allemagne)
en_GB.UTF-8Anglais (Royaume Uni)
en_US.UTF-8Anglais (Etats-Unis)
es_ES.UTF-8Espagnol (Espagne)
fr_FR.UTF-8Français (France)
it_IT.UTF-8Italien (Italie)
ko_KR.UTF-8Coréen (Corée du Sud)
pt_BR.UTF-8Portugais (Brésil)
ru_RU.UTF-8Russe (Russie)

Fonctionnalités manquantes

Gwyddion possède plusieurs fonctionnalités dépendant de librairies tierces. Le paquet MS Windows en contient la plupart mais certaines d'entre elles ne sont incluses pour l'instant :

  • Import d'images FITS (Flexible Image Transport System).
  • Support de Pygwy pour la version 64bit (il n'est supporté que dans la version 32bit).

Activation de pygwy

L'interface de script Python, pygwy, est inclue dans l'installeur, toutefois il vous faudra installer Python et PyGTK2 afin d'activer les possibilités de script Python. Ceci peut être réalisé avant l'installation de Gwyddion, ou bien ultérieurement. Si Python ou PyGTK2 ne sont pas présents, pygwy ne pourra pas s'enregistrer lors du démarrage de Gwyddion.

L'installeur de Python pour MS Windows peut être téléchargé sur http://python.org/download/releases/. Pygwy nécessite Python 2, il vous faudra donc installer une version de Python 2.7, en général la dernière. Toutefois, certaines versions s'avèrent problématiques. Actuellement, la dernière version connue ne posant pas de problème est python-2.7.10.msi.

Trois paquets sont nécessaires pour faire fonctionner PyGTK2 : PyGTK, PyCairo et PyGObject. Utilisez les liens de téléchargement sur http://www.pygtk.org/downloads.html et téléchargez les installeurs pygobject-2.28.3.win32-py2.7.msi, pycairo-1.8.10.win32-py2.7.msi, et pygtk-2.24.0.win32-py2.7.msi ou plus récents (si disponibles).

L'utilisation de l'installeur tout-en-un pygtk-all-in-one-2.24.2.win32-py2.7.msi a été testée avec succès. Toutefois, cette méthode implique que Gtk+ sera installé deux fois (à deux endroits différents). Il est difficile d'affirmer quelle installation sera utilisée par pygwy, cette méthode est donc déconseillée.